XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

composite.h
1 /*
2 * This file generated automatically from composite.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __COMPOSITE_H
13 #define __COMPOSITE_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17 #include "render.h"
18 #include "shape.h"
19 #include "xfixes.h"
20
21 #ifdef __cplusplus
22 extern "C" {
23 #endif
24
25 #define XCB_COMPOSITE_MAJOR_VERSION 0
26 #define XCB_COMPOSITE_MINOR_VERSION 3
27
28 extern xcb_extension_t xcb_composite_id;
29
30 typedef enum xcb_composite_redirect_t {
31 XCB_COMPOSITE_REDIRECT_AUTOMATIC,
32 XCB_COMPOSITE_REDIRECT_MANUAL
33 } xcb_composite_redirect_t;
34
38 typedef struct xcb_composite_query_version_cookie_t {
39 unsigned int sequence;
40 } xcb_composite_query_version_cookie_t;
41
43 #define XCB_COMPOSITE_QUERY_VERSION 0
44
48 typedef struct xcb_composite_query_version_request_t {
49 uint8_t major_opcode;
50 uint8_t minor_opcode;
51 uint16_t length;
52 uint32_t client_major_version;
53 uint32_t client_minor_version;
54 } xcb_composite_query_version_request_t;
55
59 typedef struct xcb_composite_query_version_reply_t {
60 uint8_t response_type;
61 uint8_t pad0;
62 uint16_t sequence;
63 uint32_t length;
64 uint32_t major_version;
65 uint32_t minor_version;
66 uint8_t pad1[16];
67 } xcb_composite_query_version_reply_t;
68
70 #define XCB_COMPOSITE_REDIRECT_WINDOW 1
71
75 typedef struct xcb_composite_redirect_window_request_t {
76 uint8_t major_opcode;
77 uint8_t minor_opcode;
78 uint16_t length;
79 xcb_window_t window;
80 uint8_t update;
81 uint8_t pad0[3];
82 } xcb_composite_redirect_window_request_t;
83
85 #define XCB_COMPOSITE_REDIRECT_SUBWINDOWS 2
86
90 typedef struct xcb_composite_redirect_subwindows_request_t {
91 uint8_t major_opcode;
92 uint8_t minor_opcode;
93 uint16_t length;
94 xcb_window_t window;
95 uint8_t update;
96 uint8_t pad0[3];
97 } xcb_composite_redirect_subwindows_request_t;
98
100 #define XCB_COMPOSITE_UNREDIRECT_WINDOW 3
101
105 typedef struct xcb_composite_unredirect_window_request_t {
106 uint8_t major_opcode;
107 uint8_t minor_opcode;
108 uint16_t length;
109 xcb_window_t window;
110 uint8_t update;
111 uint8_t pad0[3];
112 } xcb_composite_unredirect_window_request_t;
113
115 #define XCB_COMPOSITE_UNREDIRECT_SUBWINDOWS 4
116
120 typedef struct xcb_composite_unredirect_subwindows_request_t {
121 uint8_t major_opcode;
122 uint8_t minor_opcode;
123 uint16_t length;
124 xcb_window_t window;
125 uint8_t update;
126 uint8_t pad0[3];
127 } xcb_composite_unredirect_subwindows_request_t;
128
130 #define XCB_COMPOSITE_CREATE_REGION_FROM_BORDER_CLIP 5
131
135 typedef struct xcb_composite_create_region_from_border_clip_request_t {
136 uint8_t major_opcode;
137 uint8_t minor_opcode;
138 uint16_t length;
139 xcb_xfixes_region_t region;
140 xcb_window_t window;
141 } xcb_composite_create_region_from_border_clip_request_t;
142
144 #define XCB_COMPOSITE_NAME_WINDOW_PIXMAP 6
145
149 typedef struct xcb_composite_name_window_pixmap_request_t {
150 uint8_t major_opcode;
151 uint8_t minor_opcode;
152 uint16_t length;
153 xcb_window_t window;
154 xcb_pixmap_t pixmap;
155 } xcb_composite_name_window_pixmap_request_t;
156
160 typedef struct xcb_composite_get_overlay_window_cookie_t {
161 unsigned int sequence;
162 } xcb_composite_get_overlay_window_cookie_t;
163
165 #define XCB_COMPOSITE_GET_OVERLAY_WINDOW 7
166
170 typedef struct xcb_composite_get_overlay_window_request_t {
171 uint8_t major_opcode;
172 uint8_t minor_opcode;
173 uint16_t length;
174 xcb_window_t window;
175 } xcb_composite_get_overlay_window_request_t;
176
180 typedef struct xcb_composite_get_overlay_window_reply_t {
181 uint8_t response_type;
182 uint8_t pad0;
183 uint16_t sequence;
184 uint32_t length;
185 xcb_window_t overlay_win;
186 uint8_t pad1[20];
187 } xcb_composite_get_overlay_window_reply_t;
188
190 #define XCB_COMPOSITE_RELEASE_OVERLAY_WINDOW 8
191
195 typedef struct xcb_composite_release_overlay_window_request_t {
196 uint8_t major_opcode;
197 uint8_t minor_opcode;
198 uint16_t length;
199 xcb_window_t window;
200 } xcb_composite_release_overlay_window_request_t;
201
211 /*****************************************************************************
212 **
213 ** xcb_composite_query_version_cookie_t xcb_composite_query_version
214 **
215 ** @param xcb_connection_t *c
216 ** @param uint32_t client_major_version
217 ** @param uint32_t client_minor_version
218 ** @returns xcb_composite_query_version_cookie_t
219 **
220 *****************************************************************************/
221
222 xcb_composite_query_version_cookie_t
223 xcb_composite_query_version (xcb_connection_t *c ,
224 uint32_t client_major_version ,
225 uint32_t client_minor_version );
226
239 /*****************************************************************************
240 **
241 ** xcb_composite_query_version_cookie_t xcb_composite_query_version_unchecked
242 **
243 ** @param xcb_connection_t *c
244 ** @param uint32_t client_major_version
245 ** @param uint32_t client_minor_version
246 ** @returns xcb_composite_query_version_cookie_t
247 **
248 *****************************************************************************/
249
250 xcb_composite_query_version_cookie_t
251 xcb_composite_query_version_unchecked (xcb_connection_t *c ,
252 uint32_t client_major_version ,
253 uint32_t client_minor_version );
254
270 /*****************************************************************************
271 **
272 ** xcb_composite_query_version_reply_t * xcb_composite_query_version_reply
273 **
274 ** @param xcb_connection_t *c
275 ** @param xcb_composite_query_version_cookie_t cookie
276 ** @param xcb_generic_error_t **e
277 ** @returns xcb_composite_query_version_reply_t *
278 **
279 *****************************************************************************/
280
281 xcb_composite_query_version_reply_t *
282 xcb_composite_query_version_reply (xcb_connection_t *c ,
283 xcb_composite_query_version_cookie_t cookie ,
284 xcb_generic_error_t **e );
285
298 /*****************************************************************************
299 **
300 ** xcb_void_cookie_t xcb_composite_redirect_window_checked
301 **
302 ** @param xcb_connection_t *c
303 ** @param xcb_window_t window
304 ** @param uint8_t update
305 ** @returns xcb_void_cookie_t
306 **
307 *****************************************************************************/
308
309 xcb_void_cookie_t
310 xcb_composite_redirect_window_checked (xcb_connection_t *c ,
311 xcb_window_t window ,
312 uint8_t update );
313
323 /*****************************************************************************
324 **
325 ** xcb_void_cookie_t xcb_composite_redirect_window
326 **
327 ** @param xcb_connection_t *c
328 ** @param xcb_window_t window
329 ** @param uint8_t update
330 ** @returns xcb_void_cookie_t
331 **
332 *****************************************************************************/
333
334 xcb_void_cookie_t
335 xcb_composite_redirect_window (xcb_connection_t *c ,
336 xcb_window_t window ,
337 uint8_t update );
338
351 /*****************************************************************************
352 **
353 ** xcb_void_cookie_t xcb_composite_redirect_subwindows_checked
354 **
355 ** @param xcb_connection_t *c
356 ** @param xcb_window_t window
357 ** @param uint8_t update
358 ** @returns xcb_void_cookie_t
359 **
360 *****************************************************************************/
361
362 xcb_void_cookie_t
363 xcb_composite_redirect_subwindows_checked (xcb_connection_t *c ,
364 xcb_window_t window ,
365 uint8_t update );
366
376 /*****************************************************************************
377 **
378 ** xcb_void_cookie_t xcb_composite_redirect_subwindows
379 **
380 ** @param xcb_connection_t *c
381 ** @param xcb_window_t window
382 ** @param uint8_t update
383 ** @returns xcb_void_cookie_t
384 **
385 *****************************************************************************/
386
387 xcb_void_cookie_t
388 xcb_composite_redirect_subwindows (xcb_connection_t *c ,
389 xcb_window_t window ,
390 uint8_t update );
391
404 /*****************************************************************************
405 **
406 ** xcb_void_cookie_t xcb_composite_unredirect_window_checked
407 **
408 ** @param xcb_connection_t *c
409 ** @param xcb_window_t window
410 ** @param uint8_t update
411 ** @returns xcb_void_cookie_t
412 **
413 *****************************************************************************/
414
415 xcb_void_cookie_t
416 xcb_composite_unredirect_window_checked (xcb_connection_t *c ,
417 xcb_window_t window ,
418 uint8_t update );
419
429 /*****************************************************************************
430 **
431 ** xcb_void_cookie_t xcb_composite_unredirect_window
432 **
433 ** @param xcb_connection_t *c
434 ** @param xcb_window_t window
435 ** @param uint8_t update
436 ** @returns xcb_void_cookie_t
437 **
438 *****************************************************************************/
439
440 xcb_void_cookie_t
441 xcb_composite_unredirect_window (xcb_connection_t *c ,
442 xcb_window_t window ,
443 uint8_t update );
444
457 /*****************************************************************************
458 **
459 ** xcb_void_cookie_t xcb_composite_unredirect_subwindows_checked
460 **
461 ** @param xcb_connection_t *c
462 ** @param xcb_window_t window
463 ** @param uint8_t update
464 ** @returns xcb_void_cookie_t
465 **
466 *****************************************************************************/
467
468 xcb_void_cookie_t
469 xcb_composite_unredirect_subwindows_checked (xcb_connection_t *c ,
470 xcb_window_t window ,
471 uint8_t update );
472
482 /*****************************************************************************
483 **
484 ** xcb_void_cookie_t xcb_composite_unredirect_subwindows
485 **
486 ** @param xcb_connection_t *c
487 ** @param xcb_window_t window
488 ** @param uint8_t update
489 ** @returns xcb_void_cookie_t
490 **
491 *****************************************************************************/
492
493 xcb_void_cookie_t
494 xcb_composite_unredirect_subwindows (xcb_connection_t *c ,
495 xcb_window_t window ,
496 uint8_t update );
497
510 /*****************************************************************************
511 **
512 ** xcb_void_cookie_t xcb_composite_create_region_from_border_clip_checked
513 **
514 ** @param xcb_connection_t *c
515 ** @param xcb_xfixes_region_t region
516 ** @param xcb_window_t window
517 ** @returns xcb_void_cookie_t
518 **
519 *****************************************************************************/
520
521 xcb_void_cookie_t
522 xcb_composite_create_region_from_border_clip_checked (xcb_connection_t *c ,
523 xcb_xfixes_region_t region ,
524 xcb_window_t window );
525
535 /*****************************************************************************
536 **
537 ** xcb_void_cookie_t xcb_composite_create_region_from_border_clip
538 **
539 ** @param xcb_connection_t *c
540 ** @param xcb_xfixes_region_t region
541 ** @param xcb_window_t window
542 ** @returns xcb_void_cookie_t
543 **
544 *****************************************************************************/
545
546 xcb_void_cookie_t
547 xcb_composite_create_region_from_border_clip (xcb_connection_t *c ,
548 xcb_xfixes_region_t region ,
549 xcb_window_t window );
550
563 /*****************************************************************************
564 **
565 ** xcb_void_cookie_t xcb_composite_name_window_pixmap_checked
566 **
567 ** @param xcb_connection_t *c
568 ** @param xcb_window_t window
569 ** @param xcb_pixmap_t pixmap
570 ** @returns xcb_void_cookie_t
571 **
572 *****************************************************************************/
573
574 xcb_void_cookie_t
575 xcb_composite_name_window_pixmap_checked (xcb_connection_t *c ,
576 xcb_window_t window ,
577 xcb_pixmap_t pixmap );
578
588 /*****************************************************************************
589 **
590 ** xcb_void_cookie_t xcb_composite_name_window_pixmap
591 **
592 ** @param xcb_connection_t *c
593 ** @param xcb_window_t window
594 ** @param xcb_pixmap_t pixmap
595 ** @returns xcb_void_cookie_t
596 **
597 *****************************************************************************/
598
599 xcb_void_cookie_t
600 xcb_composite_name_window_pixmap (xcb_connection_t *c ,
601 xcb_window_t window ,
602 xcb_pixmap_t pixmap );
603
613 /*****************************************************************************
614 **
615 ** xcb_composite_get_overlay_window_cookie_t xcb_composite_get_overlay_window
616 **
617 ** @param xcb_connection_t *c
618 ** @param xcb_window_t window
619 ** @returns xcb_composite_get_overlay_window_cookie_t
620 **
621 *****************************************************************************/
622
623 xcb_composite_get_overlay_window_cookie_t
624 xcb_composite_get_overlay_window (xcb_connection_t *c ,
625 xcb_window_t window );
626
639 /*****************************************************************************
640 **
641 ** xcb_composite_get_overlay_window_cookie_t xcb_composite_get_overlay_window_unchecked
642 **
643 ** @param xcb_connection_t *c
644 ** @param xcb_window_t window
645 ** @returns xcb_composite_get_overlay_window_cookie_t
646 **
647 *****************************************************************************/
648
649 xcb_composite_get_overlay_window_cookie_t
650 xcb_composite_get_overlay_window_unchecked (xcb_connection_t *c ,
651 xcb_window_t window );
652
668 /*****************************************************************************
669 **
670 ** xcb_composite_get_overlay_window_reply_t * xcb_composite_get_overlay_window_reply
671 **
672 ** @param xcb_connection_t *c
673 ** @param xcb_composite_get_overlay_window_cookie_t cookie
674 ** @param xcb_generic_error_t **e
675 ** @returns xcb_composite_get_overlay_window_reply_t *
676 **
677 *****************************************************************************/
678
679 xcb_composite_get_overlay_window_reply_t *
680 xcb_composite_get_overlay_window_reply (xcb_connection_t *c ,
681 xcb_composite_get_overlay_window_cookie_t cookie ,
682 xcb_generic_error_t **e );
683
696 /*****************************************************************************
697 **
698 ** xcb_void_cookie_t xcb_composite_release_overlay_window_checked
699 **
700 ** @param xcb_connection_t *c
701 ** @param xcb_window_t window
702 ** @returns xcb_void_cookie_t
703 **
704 *****************************************************************************/
705
706 xcb_void_cookie_t
707 xcb_composite_release_overlay_window_checked (xcb_connection_t *c ,
708 xcb_window_t window );
709
719 /*****************************************************************************
720 **
721 ** xcb_void_cookie_t xcb_composite_release_overlay_window
722 **
723 ** @param xcb_connection_t *c
724 ** @param xcb_window_t window
725 ** @returns xcb_void_cookie_t
726 **
727 *****************************************************************************/
728
729 xcb_void_cookie_t
730 xcb_composite_release_overlay_window (xcb_connection_t *c ,
731 xcb_window_t window );
732
733
734 #ifdef __cplusplus
735 }
736 #endif
737
738 #endif
739